### Function

# Gck message_from_rv

#### Declaration [src]

    const gchar*
    gck_message_from_rv (
      gulong rv
    )

#### Description [src]

Get a message for a PKCS#11 return value or error code. Do not pass `CKR_OK` or other non-errors to this function.

#### Parameters

`rv`

  Type: `gulong`

  The PKCS#11 return value to get a message for.

#### Return value

Type: `const gchar*`

The user readable message.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.